## org.eclipse.emf.cdo.session
Interface CDOSession.Options

All Superinterfaces:
  CDOCommonSession.Options, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.options.IOptions

All Known Subinterfaces:
  CDOSession.Options

Enclosing interface:
  CDOSession

    public static interface CDOSession.Options

extends CDOCommonSession.Options

Nested Class Summary
`static interface` `CDOSession.Options.CollectionLoadingPolicyEvent`
`static interface` `CDOSession.Options.GeneratedPackageEmulationEvent`
`static interface` `CDOSession.Options.PassiveUpdateEvent`
`static interface` `CDOSession.Options.RevisionFactoryEvent`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Method Summary
`CDOCollectionLoadingPolicy` `getCollectionLoadingPolicy()` The `collection loading policy` of this `session` controls how a list gets populated.
`CDORevisionFactory` `getRevisionFactory()` Returns the CDORevisionFactory currently being used by this session.
`boolean` `isGeneratedPackageEmulationEnabled()`
`void` `setCollectionLoadingPolicy(CDOCollectionLoadingPolicy policy)` Returns the CDOCollectionLoadingPolicy currently being used by this session.
`void` `setGeneratedPackageEmulationEnabled(boolean generatedPackageEmulationEnabled)`
`void` `setPassiveUpdateEnabled(boolean enabled)` Specifies whether objects will be invalidated due by other users changes.
`void` `setRevisionFactory(CDORevisionFactory factory)` Sets the CDORevisionFactory to be used by this session.

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options
`isPassiveUpdateEnabled`

Methods inherited from interface org.eclipse.net4j.util.options.IOptions
`getContainer`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### isGeneratedPackageEmulationEnabled

    boolean isGeneratedPackageEmulationEnabled()

### setGeneratedPackageEmulationEnabled

    void setGeneratedPackageEmulationEnabled(boolean generatedPackageEmulationEnabled)

### setPassiveUpdateEnabled

    void setPassiveUpdateEnabled(boolean enabled)

  Specifies whether objects will be invalidated due by other users changes.

  Example:

  `session.setPassiveUpdateEnabled(false);`

  By default this property is enabled. If this property is disabled the latest versions of objects can still be obtained by calling `CDOSession.refresh()`.

  Passive update can be disabled in cases where more performance is needed and/or more control over when objects will be refreshed.

  When enabled again, a refresh will be automatically performed to be in sync with the server.

### getCollectionLoadingPolicy

    CDOCollectionLoadingPolicy getCollectionLoadingPolicy()

  The `collection loading policy` of this `session` controls how a list gets populated. By default, when an object is fetched, all its elements are filled with the proper values.

  This could be time-consuming, especially if the reference list does not need to be accessed. In CDO it is possible to partially load collections. The default list implementation that is shipped with CDO makes a distinction between the two following situations:

  1. How many CDOIDs to fill when an object is loaded for the first time;
  2. Which elements to fill with CDOIDs when the accessed element is not yet filled.
  Example:

  `CDONet4jUtil.createCollectionLoadingPolicy(initialElements, subsequentElements);`

  The user can also provide its own implementation of the CDOCollectionLoadingPolicy interface.

### setCollectionLoadingPolicy

    void setCollectionLoadingPolicy(CDOCollectionLoadingPolicy policy)

  Returns the CDOCollectionLoadingPolicy currently being used by this session.

### getRevisionFactory

    CDORevisionFactory getRevisionFactory()

  Returns the CDORevisionFactory currently being used by this session.

### setRevisionFactory

    void setRevisionFactory(CDORevisionFactory factory)

  Sets the CDORevisionFactory to be used by this session.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.